markers   =context.objectValues(['GMarker'])
polylines =context.objectValues(['GGPXPolyline'])

print '<script type="text/javascript">'
print "//<![CDATA["
print "window.onload = function() {"
print "    var trk = [];"
print "    if (GBrowserIsCompatible()) {"

if markers : print "        trk.push([]); // for marker"
cnt = 0
for marker in markers :
    lat = marker.point['latitude']
    lon = marker.point['longitude']
    print "        trk[0].push(new GLatLng(%s,%s));" % ( lat, lon )
    cnt = 1

for polyline in polylines :
    data = polyline.getGPXLogData()
    cnt_add = 0
    if len(data) != 0 :
        print "        trk.push([]); // for polyline trks"
        for trk in data['trk'] :
            print "        trk[%d].push(new GLatLng(%s,%s));" % ( cnt,trk['lat'],trk['lon'] )
        cnt_add = 1
    cnt += cnt_add

if cnt :
    print "        var pos = getCenterPositionZoom( trk );"
    print "        var map = createMap('map', pos[0], pos[1], -1, pos[2], '%s', %s, %s, %s, '%s');" % (
        context.mapControl,
        str(context.typeControl).lower(),
        str(context.scaleControl).lower(),
        str(context.overviewControl).lower(),
        context.mapType,
        )
    cnt = 0
    for marker in markers :
        lat = marker.point['latitude']
        lon = marker.point['longitude']
        print "        var tabs = ["
        print "          new GInfoWindowTab('%s', document.getElementById('marker_html_%s').innerHTML)" % (marker.tab1 , marker.id)
        if marker.detail:
            print "          ,new GInfoWindowTab('%s', document.getElementById('detail_html_%s').innerHTML)\n" % (marker.tab2, marker.id)
        print "        ];"
        print "        addMarker(map, tabs, '%s', %s, %s);\n" % (marker.id, lat, lon)
        cnt = 1
    for polyline in polylines :
        data = polyline.getGPXLogData()
        op = 1.0
        cnt_add = 0
        if polyline.opacity == True : op = 0.4
        if len(data) != 0 :
            print "        createPolyline(map, trk[%d], '%s', %s, %s );" % ( cnt, polyline.color, polyline.width, op )
            print "        addPolyLineMarker(map, 'start_%s', %s, %s );" % ( polyline.id, data['trk'][0]['lat'], data['trk'][0]['lon'] )
            print "        addPolyLineMarker(map, 'end_%s', %s, %s );" % ( polyline.id, data['trk'][-1]['lat'], data['trk'][-1]['lon'] )
            cnt_add = 1
        cnt += cnt_add
else :
    print "        var map = createMap('map', %s, %s, %d, 0, '%s', %s, %s, %s, '%s');" % (
        context.center['latitude'], context.center['longitude'],
        context.zoom, context.mapControl,
        str(context.typeControl).lower(),
        str(context.scaleControl).lower(),
        str(context.overviewControl).lower(),
        context.mapType,
        )
print "    }"
print "}"
print "//]]>"
print "</script>"

return printed
